/* body {
  background-color: #282c34;
} */

.NewChat{
  text-align: center;
  max-width: 100vw;
  margin: 0 auto;
}

.NewChat header {
  background-color: #FFFFFF;;
  min-height: 50px;
  color: white;
  position: fixed;
  width: 60vw;
  max-width: 100vw;
  top: 32px;;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 99;
  padding: 10px;
  box-sizing: border-box;
  height: 72px;
  box-shadow: 0px 2px 12px 2px rgba(0, 0, 0, 0.1);
  left: 25vw;
}

.App section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 50vh;
  /* background-color: rgb(40, 37, 53); */
  
}

.more-button {
    position: absolute;
    width: 96px;
    height: 44px;
    left: 1344px;
    top: 45px;
    text-align: center;
    justify-items: center;

    /* Pink */
    background: #F1B7EF;

    /* Default Shadow */
    box-shadow: 0px 2px 12px 2px rgba(0, 0, 0, 0.1);
    border-radius: 16px 0px 0px 16px ;
}

.main-chat {
  padding: 20px 10px;
  height: 60vh;
  margin-left: 15vw;
  margin-top: -13vh;
  margin-bottom: 1vh;
  overflow-y: scroll;
  display: flex;
  flex-direction: column;
  width: 60vw;
  left: 25vw;
}

/* main::-webkit-scrollbar {
  width: 0.25rem;
}

main::-webkit-scrollbar-track {
  background: #1e1e24;
}

main::-webkit-scrollbar-thumb {
  background: #6649b8;
}
.dash content {
    margin-top: 0;
} */

/* form {
    height: 47px;
    position: fixed;
    bottom: 140px;
    /* background-color: rgb(24, 23, 23); */
    /* width: 60vw;
    max-width: 100vw;
    display: flex;
    font-size: 14px;
    left: 25vw;
   }
    */
    
.input-message {
    background: #FFFFFF;

    /* Gray 4 */
    border: 1px solid #BDBDBD;
    box-sizing: border-box;
    box-shadow: inset 0px 2px 4px rgba(0, 0, 0, 0.2);
    border-radius: 24px;
    width: 60vw;
    padding-left: 30px;
    }

.input-chat {
  line-height: 1.5;
  width: 300%;
  font-size: 14px;
  background: rgb(58, 58, 58);
  color: black;
  outline: none;
  border: none;
  padding: 0 10px;
  border-radius: 24px;
  margin-left: 10px;
}

/* button {
  background-color: #282c34; 
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  cursor: pointer;
  font-size: 1.25rem;
} */

/* button:disabled {
  opacity: 0.5;
  cursor: not-allowed;
} */


.sign-in {
  color: #FFFFFF;
  background: #105573;
  max-width: 400px;
  margin: 0 auto;
  left: 50vw;
  border-radius: 20px;
  padding: 0 10px;
}

/* ul, li {
  text-align: left;
  list-style: none;
} */

.p-chat {
    max-width: 500px;
    margin-bottom: 12px;
    line-height: 24px;
    padding: 10px 20px;
    /* border-radius: 25px; */
    position: relative;
    color: white;
    text-align: right;
    background: #25A7DE;
    border-radius: 12px 12px 12px 0px;
}

.message {
  display: flex;
  align-items: center;
}


.sent {
  flex-direction: row-reverse;
}

.sent p {
  color: white;
  background: #0b93f6;
  align-self: flex-end;
}
.received p {
  background: #e5e5ea;
  color: black;
}

.imgchat {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  margin: 2px 5px;
}

.count {
width: 96px;
height: 29px;
background: #25A7DE;
color: white;
border-radius: 8px;
justify-content: center;
}

.sign-out{
    width: 96px;
    height: 29px;
    background: #25A7DE;
    border-radius: 8px;
    top: -20px;
    }

.picture-chat {
    position: absolute;
    width: 66.69px;
    height: 54px;
    left: 12.56px;
    top: 9px;
    border-radius: 100%;

    /* background: url(.jpg); */

    /* Gray 4 */
    border: 1px solid #BDBDBD;
    box-sizing: border-box;
}

.tutor-name {
    /* width: 99px;*/
    height: 19px;
    margin-left: 100px;
    justify-content: center;
    font-family: Noto Sans;
    font-style: normal;
    font-weight: bold;
    font-size: 16px; 


    /* identical to box height */

    color: #000000;
}

.send-button {
    position: absolute;
    width: 50px;
    height: 50px;
    left: 1325px;
    bottom: 140px;
    border-radius: 50px;
    background: #52C4F5;
    padding: 0;
}

.side-bar-chat {
  height: 100% !important;
  display: flex;
  flex-direction: column;
  border-right: 1px solid;
  border-radius: 0;
  border-color: rgba(64, 194, 133, 0.693);
  background-color: rgb(255, 255, 255);
  transition: 0.8s ease;
}

.toggle-menu-chat {
  height: 50px;
  border-top-right-radius: 10rem;
  border-bottom-right-radius: 9rem;
  width: 10px;
  outline: none;
  z-index: 1;
  background-color: rgba(64, 194, 133, 0.693);
  border-color: rgba(64, 194, 133, 0.693);
  border-left: 0;
}